@ECHO OFF
CLS
ECHO This batch file will patch the SVGAPV graphics library to the current
ECHO    release, version 2.6. See the file "README.NOW" for complete
ECHO    patch instructions as well as a list of the bugs fixed.
ECHO.   
ECHO It should *ONLY* be applied to the following versions:
ECHO    (registered versions of SVGAPV) - v2.3c through v2.5a
ECHO    (shareware versions of SVGAPV) - None. Download SVGAPV26.ZIP
ECHO.
ECHO If you have *ANY* other version, *DO NOT APPLY THIS PATCH*. Please
ECHO    contact us for upgrade information.    
ECHO.    
ECHO This patch requires the Microsoft Library manager (LIB.EXE) to be in 
ECHO    the path or in the current working directory. 
ECHO. 
ECHO This patch also requires that the library file "SVGAPV.LIB" to be in
ECHO    the current directory.
ECHO. 
ECHO Hit CTRL-C *NOW* to abort the patch if the above conditions are not true.
ECHO. 
PAUSE
ECHO.   
ECHO. 
IF EXIST SVGAPV.LIB GOTO DOIT
ECHO.   
ECHO ERROR: Unable to find the file "SVGAPV.LIB". Make sure this patch is run in the
ECHO    same directory as "SVGAPV.LIB" file.
ECHO.   
GOTO ERROR

:DOIT
IF EXIST SVGAPV.LRF GOTO PATCHIT
ECHO.   
ECHO ERROR: Unable to find the file "SVGAPV.LRF". Check the patch archive.
ECHO.   
GOTO ERROR

:PATCHIT
COPY SVGAPV.LIB SVGAPV.BKL > NUL
LIB @SVGAPV.LRF
IF NOT ERRORLEVEL 1 GOTO ALLOK
ECHO.   
ECHO ERROR: Some problem with the call to the LIB.EXE program. If you are
ECHO    unable to correct it, please contact us (see the file "README.NOW"
ECHO    complete details and contact information).
GOTO ERROR

:ERROR
ECHO Patch was *NOT* installed.
ECHO Batch file terminated.
GOTO ENDPATCH

:ALLOK
ECHO.
ECHO Patch applied correctly!
ECHO.
ECHO No errors. A backup copy of your original "SVGAPV.LIB" file was created
ECHO    as "SVGAPV.BKL".
GOTO ENDPATCH

:ENDPATCH
ECHO.   

